Package org.stianloader.picoresolve.repo

# Class URIMavenRepository

java.lang.Object
org.stianloader.picoresolve.repo.URIMavenRepository

All Implemented Interfaces:
  `MavenRepository`

public class URIMavenRepository extends Object implements MavenRepository

## Constructor Summary

Constructors
Constructor
Description
`URIMavenRepository(@NotNull String id, @NotNull URI base)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getPlaintextURL()`
`@NotNull String`
`getRepositoryId()`
`@NotNull CompletableFuture<RepositoryAttachedValue<byte[]>>`
`getResource(@NotNull String path, @NotNull Executor executor)`
`protected byte @NotNull []`
`getResource0(@NotNull String path)`
`long`
`getUpdateIntervall()`
Obtains the interval between which cached resources from this repository should get invalidated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### URIMavenRepository

public URIMavenRepository(@NotNull @NotNull String id, @NotNull @NotNull URI base)

## Method Details

### getResource0

protected byte @NotNull [] getResource0(@NotNull @NotNull String path) throws Exception

Throws:
  `Exception`

### getResource

@NotNull public @NotNull CompletableFuture<RepositoryAttachedValue<byte[]>> getResource(@NotNull @NotNull String path, @NotNull @NotNull Executor executor)

Specified by:
  `getResource` in interface `MavenRepository`

### getRepositoryId

@NotNull @Contract(pure=true) public @NotNull String getRepositoryId()

Specified by:
  `getRepositoryId` in interface `MavenRepository`

### getPlaintextURL

@NotNull @Contract(pure=true) public @NotNull String getPlaintextURL()

Specified by:
  `getPlaintextURL` in interface `MavenRepository`

### getUpdateIntervall

@Contract(pure=true) public long getUpdateIntervall()
Description copied from interface: `MavenRepository`
Obtains the interval between which cached resources from this repository should get invalidated.

Specified by:
  `getUpdateIntervall` in interface `MavenRepository`
Returns:
  The interval, in milliseconds